ProxyHandler (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.codehaus.groovy.grails.support.proxy
[Java] Interface ProxyHandler

    public interface ProxyHandler

Interface that defines logic for handling proxied instances

Authors:
  Graeme Rocher

Since:
  1.2.2

Method Summary
`void` | `initialize(java.lang.Object o)` Initializes an existing uninitialized proxy instance.
`boolean` | `isInitialized(java.lang.Object o)` Returns whether a lazy proxied instance has been initialized.
`boolean` | `isInitialized(java.lang.Object obj, java.lang.String associationName)` Tests whether an association of the given object has been initialized.
`boolean` | `isProxy(java.lang.Object o)` Returns true if the specified object is a proxy.
`java.lang.Object` | `unwrapIfProxy(java.lang.Object instance)` Returns the unwrapped proxy instance or the original object if not proxied.

Method Detail

### initialize

    public void initialize(java.lang.Object o)

  Initializes an existing uninitialized proxy instance.
  Parameters:
    `o` - The proxy instance

### isInitialized

    public boolean isInitialized(java.lang.Object o)

  Returns whether a lazy proxied instance has been initialized.
  Parameters:
    `o` - The instance to test
  Returns:
    true if it has been initialized false otherwise

### isInitialized

    public boolean isInitialized(java.lang.Object obj, java.lang.String associationName)

  Tests whether an association of the given object has been initialized.
  Parameters:
    `obj` - The object to check
    `associationName` - The association
  Returns:
    true if has been init

### isProxy

    public boolean isProxy(java.lang.Object o)

  Returns true if the specified object is a proxy.
  Parameters:
    `o` - The object in question
  Returns:
    true if it is a proxy

### unwrapIfProxy

    public java.lang.Object unwrapIfProxy(java.lang.Object instance)

  Returns the unwrapped proxy instance or the original object if not proxied.
  Parameters:
    `instance` - The instance to unwrap
  Returns:
    The unwrapped instance

Groovy Documentation